%define upstream_name    Data-FormValidator
%define upstream_version 4.81

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Validates user input based on input profile
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI) >= 3.480.0
BuildRequires: perl(Date::Calc) >= 5.0.0
BuildRequires: perl(Email::Valid)
BuildRequires: perl(File::MMagic) >= 1.170.0
BuildRequires: perl(Image::Size)
BuildRequires: perl(MIME::Types) >= 1.5.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Perl6::Junction) >= 1.100.0
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildArch:  noarch

%{?perl_default_filter}

%description
Data::FormValidator's main aim is to make input validation expressible in a
simple format. Data::FormValidator lets you define profiles which declare the
required and optional fields and any constraints they might have.

The results are provided as an object which makes it easy to handle missing and
invalid results, return error messages about which constraints failed, or
process the resulting valid data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%buildroot

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/Data
%{_mandir}/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 4.810.0-8pclos2017
- rebuild against updates

